- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.BatchUpdateCustomTargetingKeysResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#body.aspect)
- [UpdateCustomTargetingKeyRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#UpdateCustomTargetingKeyRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#UpdateCustomTargetingKeyRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#try-it)

Batch updates `CustomTargetingKey` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/customTargetingKeys:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `CustomTargetingKeys` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateCustomTargetingKeyRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#UpdateCustomTargetingKeyRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchUpdate#UpdateCustomTargetingKeyRequest`)`` Required. The `CustomTargetingKey` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `customTargetingKeys.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customTargetingKeys": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`) } ] } ``` |

| Fields ||
|---|---|
| `customTargetingKeys[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`)`` The `CustomTargetingKey` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateCustomTargetingKeyRequest

Request object for `customTargetingKeys.patch` method.

| JSON representation |
|---|
| ``` { "customTargetingKey": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `customTargetingKey` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`)`` Required. The `CustomTargetingKey` to update. The `CustomTargetingKey`'s `name` is used to identify the `CustomTargetingKey` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |